<?php

// define as a Parser FUNCTION
$wgExtensionFunctions[]        = 'registerStripMarkup_PF';
$wgHooks['LanguageGetMagic'][] = 'registerStripMarkup_PF_Magic';

// register as a Parser FUNCTION
function registerStripMarkup_PF() {
  global $wgParser;
  $wgParser->setFunctionHook( 'stripmarkup', 'stripMarkup_PF' );
}

// register alias names for Parser FUNCTION
function registerStripMarkup_PF_Magic( &$magicWords, $langCode ) {
        # The first array element is case sensitivity, in this case it is not case sensitive
        # All remaining elements are synonyms for our parser function
        $magicWords['stripmarkup'] = array( 0, 'stripmarkup' );
        return true;
}

// entry point for Parser FUNCTION
function stripMarkup_PF(&$parser, $text) {
	return stripMarkup($text, array(), $parser );
}

// define as a Parser EXTENSION (user tag)
$wgExtensionFunctions[] = 'registerStripMarkup_PE';
$wgExtensionCredits['parserhook'][] = array(
	'name' => 'StripMarkup',
	'author' => 'Steve Sanbeg',
	'url' => 'http://meta.wikimedia.org/wiki/Help:Inputbox',
	'description' => 'Allow inclusion of predefined HTML forms.',
);

// register as a Parser EXTENSION
function registerStripMarkup_PE() {
    global $wgParser;
    $wgParser->setHook('stripmarkup', 'stripMarkup');
}
  
function stripMarkup($text, $param, &$parser) {
	$text = $parser->recursiveTagParse("&nbsp;$text");
    return Sanitizer::stripAllTags( $text );
}

?>